## beego 官方文档：https://beego.me/docs/intro/

## 1、项目介绍
- 该项目是作为一个beego的demo文件，用于demo功能的测试；
- 包含的功能有：
    - 不包含etcd注册的grpc服务 ( main_backup/main1.go 文件中)
    - 包含etcd注册的grpc服务 ( main_backup/main2.go 文件中) 
    - 注册到etcd 的 rest 服务 ( main_backup/main3.go 文件中) 
    - grpc service端接口的编写（controllers/userimpl.go 文件中）

## 2、文件结构
- main.go     文件入口
- conf        配置文件
- controllers controller层
- grpc        grpc 相关文件
    - def     grpc 定义的proto文件
    - gapi    proto 生成的文件
- models      model文件夹
- routers
    - router.go   路由入口
- services    service层
- static      静态文件
- vendor      golang使用vendor目录来管理依赖包
- views       存放前端页面的地方


## 3、go protof 文件生成方式 
* 参考文档：https://razeencheng.com/post/how-to-use-grpc-in-golang-01.html
* 在项目的根目录下执行
```
    protoc -I=grpc/def/ --go_out=plugins=grpc:grpc/ grpc/def/doctor.proto
```

## 4、 grpc 客户端参考 go_test_hello 项目
* 项目地址：http://gogs.ywtinfo.com/daiyihua/go_test_hello.git