package controllers

import (
	context "golang.org/x/net/context"
	//grpc "google.golang.org/grpc"
	"fmt"

	pb "hello_rpc/grpc/gapi"

	"github.com/go-redis/redis"
	// grpc "google.golang.org/grpc"
)

const (
	queueName     = "mq:jobs_queue"
	restQueueName = "mq:jobs_queue_rest"
)

func NewUserServiceServer(redisAddr string) *server {
	cli := redis.NewClient(&redis.Options{
		Addr: redisAddr,
		DB:   0,
	})
	return &server{rCli: cli}
}

type server struct {
	rCli *redis.Client
	pb.UnimplementedUserServiceServer
}

// findByUserId implements gapi.userService
func (s *server) FindByUserId(ctx context.Context, in *pb.UserRequest) (*pb.UserResponse, error) {
	fmt.Println("Received: %v", in.GetUserid())
	fmt.Println("Received: %v", in.GetPhone())
	var result *pb.Result
	var user *pb.User
	result = &pb.Result{
		Code:  pb.ResultCode_SUCCEED,
		Info:  "处理成功",
		Value: "123"}
	user = &pb.User{
		Userid:     int32(123),
		Username:   "dyh_test_Username",
		Realname:   "dyh_test_Realname",
		Mobile:     "dyh_test_Mobile",
		Idtype:     int32(123),
		Idno:       "dyh_test_Idno",
		Sex:        int32(123),
		Age:        int32(123),
		Avatar:     "dyh_test_Avatar",
		Birthday:   "dyh_test_Birthday",
		Createtime: 12345667890,
		Registerip: "dyh_test_Registerip",
		Usertype:   int32(123)}
	return &pb.UserResponse{Result: result, User: user}, nil
}
