package main_backup

// 不包含etcd注册的grpc服务
import (
	"context"
	"fmt"
	pb "hello_rpc/grpc/gapi"
	_ "hello_rpc/routers"
	"net"

	"github.com/astaxie/beego"
	"google.golang.org/grpc"
)

func main() {
	registerGrpcServerTest()
	beego.Run()
}

// ------------- grpc server start -----------------------------
// server is used to implement gapi.UserServiceServer.
type server struct {
	pb.UnimplementedUserServiceServer
}

// findByUserId implements gapi.userService
func (s *server) FindByUserId(ctx context.Context, in *pb.UserRequest) (*pb.UserResponse, error) {
	fmt.Println("Received: %v", in.GetUserid())
	fmt.Println("Received: %v", in.GetPhone())
	var result *pb.Result
	var user *pb.User
	result = &pb.Result{
		Code:  pb.ResultCode_SUCCEED,
		Info:  "处理成功",
		Value: "123"}
	user = &pb.User{
		Userid:     int32(123),
		Username:   "dyh_test_Username",
		Realname:   "dyh_test_Realname",
		Mobile:     "dyh_test_Mobile",
		Idtype:     int32(123),
		Idno:       "dyh_test_Idno",
		Sex:        int32(123),
		Age:        int32(123),
		Avatar:     "dyh_test_Avatar",
		Birthday:   "dyh_test_Birthday",
		Createtime: 12345667890,
		Registerip: "dyh_test_Registerip",
		Usertype:   int32(123)}
	return &pb.UserResponse{Result: result, User: user}, nil
}

func registerGrpcServerTest() {
	fmt.Println("-------I'm coming registerGrpcServerTest------")
	port := beego.AppConfig.String("httpport")

	lis, err := net.Listen("tcp", ":"+port)
	if err != nil {
		fmt.Println("failed to listen: %v", err)
	}
	s := grpc.NewServer()
	pb.RegisterUserServiceServer(s, &server{})
	if err := s.Serve(lis); err != nil {
		fmt.Println("failed to serve: %v", err)
	}
	fmt.Println(lis)
}

// ------------- end grpc server -----------------------------
